---
title: OfflineAudioCompletionEvent.renderedBuffer
slug: Web/API/OfflineAudioCompletionEvent/renderedBuffer
tags:
  - API
  - Audio
  - OfflineAudioCompletionEvent
  - Property
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <code><strong>renderedBuffer</strong></code> read-only property of the {{domxref("OfflineAudioCompletionEvent")}} interface is an {{domxref("AudioBuffer")}} containing the result of processing an {{domxref("OfflineAudioContext")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var buffer = offlineAudioCompletionEventInstance.renderedBuffer;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("AudioBuffer")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-offlineaudiocompletionevent-renderedbuffer','renderedBuffer')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.OfflineAudioCompletionEvent.renderedBuffer")}}</p>
</div>
